interface ListenerT {
    addEventListener(name: string, handler: (event?: any) => void, ...args: any[]): void;
    removeEventListener(name: string, handler: (event?: any) => void, ...args: any[]): void;
}
declare const useEventListener: <T extends ListenerT>(name: Parameters<ListenerT["addEventListener"]>[0], handler: Parameters<ListenerT["addEventListener"]>[1], target?: null | T | Window) => void;
export { useEventListener };
export type { ListenerT };
